Unable to install any Plesk extension: Unable to open source file. Not zip file

Created:

2017-05-19 14:37:03 UTC

Modified:

2017-08-16 16:12:31 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Unable to install any Plesk extension: Unable to open source file. Not zip file

Applicable to:

  • Plesk for Windows

Symptoms

Unable to install any Plesk extension, the following error is shown in Plesk:

Unable to open source file. Not zip file.

When trying to install an extension via the command shell, the following error message is shown:

Components and product validation detected at least one important issue:
System checking...
The following services require a system restart:
Component-Based Servicing pending restart
Windows Update requires restart
Restart the system before continuing installation.
Proceeding with installation or upgrade without resolving the issues that were found can corrupt your data

Cause

Plesk bug with ID #PPPM-6348 which will be fixed in future Plesk updates.

Resolution

As a workaround, perform the following steps:

1. Download the patched file Http.php and unzip it.

2. Backup the original file located at C:\Program Files (x86)\Plesk\admin\plib\Plesk\Base\Utils.

3. Put the patched file into C:\Program Files (x86)\Plesk\admin\plib\Plesk\Base\Utils.

Attachments:

Have more questions? Submit a request
Please sign in to leave a comment.